aboutsummaryrefslogtreecommitdiff
path: root/pdebuild
diff options
context:
space:
mode:
authordancer <dancer>2001-11-03 10:56:58 +0000
committerdancer <dancer>2001-11-03 10:56:58 +0000
commitdfb6a00a0bd2adec2a6a2158e442a14dab36011f (patch)
tree687507376938dc0c798cdddfa86e35418fab4463 /pdebuild
parent85911af08f0f710f8fcc333388887c6807312ea6 (diff)
downloadpbuilder-dfb6a00a0bd2adec2a6a2158e442a14dab36011f.tar
pbuilder-dfb6a00a0bd2adec2a6a2158e442a14dab36011f.tar.gz
A different way to implement the aforementioned feature.
It should be really good. I hope.
Diffstat (limited to 'pdebuild')
-rw-r--r--pdebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/pdebuild b/pdebuild
new file mode 100644
index 0000000..97ced20
--- /dev/null
+++ b/pdebuild
@@ -0,0 +1,8 @@
+#! /bin/bash
+set -e
+
+test -d ./debian
+. /usr/lib/pbuilder/pbuilder-checkparams
+$BUILDSOURCEROOTCMD dpkg-buildpackage -S || true
+$PBUILDERROOTCMD pbuilder build "$@" ../$(dpkg-parsechangelog|grep ^Source:| cut -d\ -f2 )_$(dpkg-parsechangelog|grep ^Version: | cut -d\ -f2).dsc
+